org.springframework.data.relational.core.dialect

## Interface LockClause

    public interface LockClause

A clause representing Dialect-specific `LOCK`.

Since:
  2.0
Author:
  Myeonghyeon Lee

### Nested Class Summary

Nested Classes
`static class` `LockClause.Position` Enumeration of where to render the clause within the SQL statement.

### Method Summary

All Methods Instance Methods Abstract Methods
`LockClause.Position` `getClausePosition()` Returns the `LockClause.Position` where to apply the `clause`.
`String` `getLock(LockOptions lockOptions)` Returns the `LOCK` clause to lock results.

### Method Detail

#### getLock

    String getLock(LockOptions lockOptions)

Returns the `LOCK` clause to lock results.

Parameters:
  `lockOptions` - contains the lock mode to apply.
Returns:
  rendered lock clause.

#### getClausePosition

    LockClause.Position getClausePosition()

Returns the `LockClause.Position` where to apply the `clause`.